APIFile management

Compress files

Compresses one or more files or folders into an archive

Compresses one or more files or folders into an archive

POST
/api/client/servers/{server}/files/compress

Authorization

bearerAuth
AuthorizationBearer <token>

Enter your API token in the format: Bearer {token}

In: header

Path Parameters

server*string

Server UUID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/client/servers/string/files/compress" \  -H "Content-Type: application/json" \  -d '{}'
{
  "object": "file_object",
  "attributes": {
    "name": "string",
    "mode": "string",
    "size": 0,
    "is_file": true,
    "is_symlink": true,
    "mimetype": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "modified_at": "2019-08-24T14:15:22Z"
  }
}
Empty
Empty
Empty
Empty